Resource Center/Bare Metal Management (Plus)/Installation Service Operations
PUTInstallation Service OperationsSince 2.6.0SynchronousAuth Required
StopBaremetalPxeServer
StopBaremetalPxeServer
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe UUID of the deployment server.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/baremetal/pxeservers/{uuid}/actions
/zstack/v1/baremetal/pxeservers/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/baremetal/pxeservers/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "743173fddfb0319fa9b21827875c1341", "name": "test", "hostname": "127.0.0.1", "sshUsername": "root", "sshPassword": "password", "sshPort": 22.0, "storagePath": "/zstack_bm_cache", "dhcpInterface": "eth0", "dhcpRangeBegin": "10.0.0.1", "dhcpRangeEnd": "10.0.0.255", "dhcpRangeNetmask": "255.255.255.0", "state": "Enabled", "status": "Disconnected" } }Change History
This API has no change history records yet.
